#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using System.Diagnostics;

using Syncfusion.DLS;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;

namespace EssentialDocIOSamples
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label1;
		
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.button1 = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Anchor = (System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right);
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.button1.Image = ((System.Drawing.Bitmap)(resources.GetObject("button1.Image")));
			this.button1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.button1.Location = new System.Drawing.Point(464, 72);
			this.button1.Name = "button1";
			this.button1.TabIndex = 0;
			this.button1.Text = "DOC";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// label1
			// 
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.label1.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(544, 56);
			this.label1.TabIndex = 1;
			this.label1.Text = @"Clicking the button below will result in a new MS Word document being generated using Essential DocIO.  At the end of the document generation, an option will be provided to view the generated MS Word file. Please note that you need to have an MS Word file viewer installed in order to view the generated Word file.";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(544, 102);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.label1,
																		  this.button1});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.Name = "Form1";
			this.Text = "Essential DocIO Sample";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());			
		}

		string[] products = { "Tools" , "Grid" , "Chart" , "Edit" , "Diagram" , "XlsIO" , "Grouping" , "Calculate" , "PDF" , "HTMLUI" , "DocIO" };
		string[] forms = { "Windows", "web" };		

		private void button1_Click(object sender, System.EventArgs e)
		{
			// Creating a new document.
			WordDocument document = new WordDocument();   
			// Adding a new section to the document.
			IWSection section = document.AddSection();
			// Adding a new paragraph to the document.
			IWParagraph paragraph = section.AddParagraph();
			// Writing text to the current paragraph.
			paragraph.AppendText ( "This document demonstrates the Bullets and Numbering functionality available in Essential DocIO" );
			
			// Adding a new paragraph to the document.
			section.AddParagraph();			
			paragraph = section.AddParagraph();

			// Writing text to the document with formatting.
			IWTextRange textRange = paragraph.AppendText ( "List of Syncfusion products." );
			paragraph.ListFormat.ListType = ListType.Numbered;
			textRange.CharacterFormat.FontName = "Monotype Corsiva";
			textRange.CharacterFormat.FontSize = 15;
			
			// Writing Product details to the document with the specified list type.
			section.AddParagraph();					
			foreach ( string s in products )
			{
				section.AddParagraph();
				paragraph = section.AddParagraph();
				paragraph.AppendText ( string.Concat( "Essential " , s ) );
				paragraph.ListFormat.ListType = ListType.Numbered;
				paragraph.ListFormat.ListLevelNumber = 1;				
				section.AddParagraph();
				foreach ( string s1 in forms )
				{						
					if ( String.Equals ( s , "HTMLUI" ) )
					{
						paragraph = section.AddParagraph();
						paragraph.AppendText ( string.Concat ( s1 , " Forms" ) );
						paragraph.ListFormat.ListType = ListType.Numbered;
						paragraph.ListFormat.ListLevelNumber = 2;
						break;
					}
					else 
					{
						paragraph = section.AddParagraph();
						paragraph.AppendText ( string.Concat ( s1 , " Forms" ) );
						paragraph.ListFormat.ListType = ListType.Numbered;
						paragraph.ListFormat.ListLevelNumber = 2;
					}					
				}				
			} 
            
			// Saving the document to disk.
			document.Save ( "Sample.doc" );
			
			// Message box confirmation to view the created document.
			if( MessageBox.Show( " Do you want to view the MS Word document? " , "Document has been created" , MessageBoxButtons.YesNo , MessageBoxIcon.Information ) == DialogResult.Yes ) 
			{
				// Launching the MS Word file using the default Application.[MS Word Or Free WordViewer]
				Process.Start( "Sample.doc" );
				// Exit
				this.Close();
			}
			else
			{
				// Exit
				this.Close();
			}			
		}
	}
}
